summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-kernel/pf-sources')
-rw-r--r--sys-kernel/pf-sources/Manifest1
-rw-r--r--sys-kernel/pf-sources/pf-sources-5.6_p3.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/sys-kernel/pf-sources/Manifest b/sys-kernel/pf-sources/Manifest
index 511b7c0098d..c7c37719663 100644
--- a/sys-kernel/pf-sources/Manifest
+++ b/sys-kernel/pf-sources/Manifest
@@ -11,3 +11,4 @@ DIST pf-sources-5.4_p6.patch 2445594 BLAKE2B 766549139da27838aca8f849c6d71b13f3b
DIST pf-sources-5.5_p8.patch 3180947 BLAKE2B 8170494363d949dce8b3de2a6121ec3c4bf2c0ecdba5e6a8e9d2c1e401a2ad9d67eb5ad35dea4749b176eee60398213962666637c9b344631b5c55d14ed6f879 SHA512 e21b810f52c2f31a6b1e21110a43be8d54695763780d04187b60ef2541bace779bbb978f7c6619b8433fd6fe6110cf69495a20bf142a64c9884518ca3265b2fd
DIST pf-sources-5.6_p1.patch 278618 BLAKE2B 6ee7db469094b449c94ce70ebc5416b71be5f4f745e4d0a310efc8959982f2bcd2fb96d713bc5f696823f06eb1390a67e3b15dcc94abc4086d2a74ba762a1d93 SHA512 3c32c783714a1d295cb07ac341dfcfbedf8925018628afa1839e2c8d7ad297112fac7af28f21ce764f1555fdcf7095e97bcd8b57d99b86a30e3c1c956d5f2bde
DIST pf-sources-5.6_p2.patch 339203 BLAKE2B dabc89462ebf07316a16d77154a574e0bc1bfb28bf7643164fd281596eb7fb6507ee22432f658e43f10d4a079787b6f7274c39a407755a469fd42b4acdfb0022 SHA512 c487672b9e53f0c8dfd3326720fb23fc00536b704a709baa24d5f0d38ef892cdb8679a5158f2f6e00bf8ef69c6f0f619dcd9fd214c4f9c504c0e91ebd4d8175b
+DIST pf-sources-5.6_p3.patch 766739 BLAKE2B 98ab84a2e3c548989c06f6a3fd48fb35c2e59fc760c4716a4d334cd9c92fdd84fa8c66cc72f1ee422278df17216e4e8be2d597d8c3743f82203e8a5a3d02d7c0 SHA512 3439fbfc668d384b7d15550beb3cf8515ac357367666b37844b3f58002860d06ebd52b852bd88903b7e010893b3151524482d1faa4bc4f106513cdc8f771d905
diff --git a/sys-kernel/pf-sources/pf-sources-5.6_p3.ebuild b/sys-kernel/pf-sources/pf-sources-5.6_p3.ebuild
new file mode 100644
index 00000000000..e140e5f7329
--- /dev/null
+++ b/sys-kernel/pf-sources/pf-sources-5.6_p3.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# Define what default functions to run
+ETYPE="sources"
+
+# No 'experimental' USE flag provided, but we still want to use genpatches
+K_EXP_GENPATCHES_NOUSE="1"
+
+# Just get basic genpatches, -pf patch set already includes vanilla-linux
+# updates
+K_GENPATCHES_VER="2"
+
+# -pf already sets EXTRAVERSION to kernel Makefile
+K_NOSETEXTRAVERSION="1"
+
+# Not supported by the Gentoo security team
+K_SECURITY_UNSUPPORTED="1"
+
+# We want the very basic patches from gentoo-sources, experimental patch is
+# already included in pf-sources
+K_WANT_GENPATCHES="base extras"
+
+inherit eutils kernel-2
+detect_version
+
+DESCRIPTION="Linux kernel fork that includes the pf-kernel patchset and Gentoo's genpatches"
+HOMEPAGE="https://gitlab.com/post-factum/pf-kernel/-/wikis/README
+ https://dev.gentoo.org/~mpagano/genpatches/"
+SRC_URI="${KERNEL_URI}
+ https://github.com/pfactum/pf-kernel/compare/v${PV/_p*/}...v${PV/_p*/}-pf${PV/*_p/}.diff -> ${P}.patch
+ https://dev.gentoo.org/~mpagano/genpatches/tarballs/genpatches-${PV/_p*/}-${K_GENPATCHES_VER}.base.tar.xz
+ https://dev.gentoo.org/~mpagano/genpatches/tarballs/genpatches-${PV/_p*/}-${K_GENPATCHES_VER}.extras.tar.xz"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+
+S="${WORKDIR}/linux-${PVR}-pf"
+
+PATCHES=( "${DISTDIR}/${P}.patch" )
+
+K_EXTRAEINFO="For more info on pf-sources and details on how to report problems,
+ see: ${HOMEPAGE}."
+
+pkg_setup() {
+ ewarn ""
+ ewarn "${PN} is *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the pf developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds. Thank you."
+ ewarn ""
+
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # Temporary fix due to 5.6 iwlwifi mess
+ find "${S}" -name "10*linux*" -delete || die
+
+ kernel-2_src_prepare
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+
+ elog "Optional features:"
+ optfeature "Userspace KSM helper" sys-process/uksmd
+}